Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.soap
Interface XDSSoapClient

All Known Implementing Classes:
  XDSSoapClientAXIS2

    public interface XDSSoapClient

Simplifed SOAP sender interface for XDS client side: Document Source and Document Consumer. Designed to support Transaction ITI-15: Provide and Register Document Set, Transaction ITI-16: Query Registry and Transaction ITI-17: Retrieve Document. Support for Invoke Stored Query is yet to be implemented. Designed to encapsulate the SOAP implementation so that it can be independently determined.

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Method Summary
`byte[]` | `send(java.lang.String request, SoapAttachment[] attachments, java.net.URI uri)` Constructs the SOAPMessage from the parameters, sends the messages to the designated url and processes the response SOAPMessage.

Method Detail

### send

    byte[] send(java.lang.String request,
                SoapAttachment[] attachments,
                java.net.URI uri)
                throws java.lang.Exception

  Constructs the SOAPMessage from the parameters, sends the messages to the designated url and processes the response SOAPMessage.

  Parameters:
    `request` - is assumed to be a serialized XML document string to be set as the contents of the SOAPBody. For the Source this is the SubmitObjectRequest element used for metadata. For the Consumer this is the AdhocQueryRequest element. This parameter must not be null, an Exception should be thrown if this is the case.
    `attachments` - an array of `SoapAttachment` objects. These are to be rendered as AttatchmentParts to the SOAPMessage. For the Document Source, these will be the documents submitted. The Consumer query transaction does not use attachments. In this case, the parameter can be null.
    `uri` - the end URI destination of the SOAPMessage. This entity is assumed to have a SOAP interface and is able to generate a SOAPMessage in response.
  Returns:
    It is assumed, by XDS, that the SOAPMessage recieved in response will be contained as part of the SOAPBody. The contents of the SOAPBody are returned to the Source or Consumer as a DOM Element for further processing.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD